<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
	<th:block th:include="include :: header('考试管理')" />
</head>
<body class="gray-bg">
    <div class="container-div">
		<div class="row">
			<div class="col-sm-12 search-collapse">
				<form id="notice-form">
					<div class="select-list">
						<ul>
							<li>
								搜索人员：<input type="text" name="userName"/>
								<input type="hidden" name="examId" th:value="*{examId}"/>
							</li>
							<li>
								<a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i class="fa fa-search"></i>&nbsp;搜索</a>
								<a class="btn btn-warning btn-rounded btn-sm" onclick="$.form.reset()"><i class="fa fa-refresh"></i>&nbsp;重置</a>
							</li>
						</ul>
					</div>
				</form>
			</div>

	        <div class="btn-group-sm" id="toolbar" role="group">
				<a class="btn btn-danger" onclick="closeItem()">
					<i class="fa fa-reply-all"></i> 关闭
				</a>

	        </div>

	        <div class="col-sm-12 select-table table-striped">
	            <table id="bootstrap-table"></table>
	        </div>
    	</div>
    </div>
    <th:block th:include="include :: footer" />
    <script th:inline="javascript">
        var prefix = ctx + "system/userExam";
        $(function() {
            var options = {
				uniqueId: "id",
                url: prefix + "/list",
				queryParams: queryParams,
                modalName: "考试",
                columns: [
				{
					field : 'userName',
					title : '人员'
				},
				{
					field: 'tryCount',
					title: '考试次数'
				},
				{
					field: 'maxScore',
					title: '最高分',
					align: 'center'
				},
				{
					field: 'passed',
					title: '是否通过',
					formatter: function(value, row, index) {
						if(value=='1'){
							return '通过';
						}else{
							return '未通过';
						}

					}
				},
				{
		            field: 'updateTime',
		            title: '最后考试时间',
		            sortable: true
		        },
		        {
		            title: '操作',
		            align: 'center',
		            formatter: function(value, row, index) {
		            	var actions = [];
		            	actions.push('<a class="btn btn-success btn-xs" href="javascript:void(0)" onclick="detail(\'' + row.examId + '\',\'' + row.userId + '\')"><i class="fa fa-search"></i>考试明细</a> ');
						return actions.join('');
		            }
		        }]
            };
            $.table.init(options);
        });

		function queryParams(params) {
			var search = $.table.queryParams(params);
			search.examId = [[${examId}]];
			return search;
		}

		/*资产列表-详细*/
		function detail(id,userId) {
			var url = prefix + '/detail/' + id +'/'+userId;
			$.modal.open("考试明细", url);
		}
    </script>
</body>
</html>
